Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UINotifyMessage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIMessage
                  org.richfaces.component.AbstractNotifyMessage
                      org.richfaces.component.UINotifyMessage

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.AjaxOutput, ClientSideMessage, org.richfaces.component.NotifyAttributes

Direct Known Subclasses:
  HtmlNotifyMessage

    @Generated(value={"RichFaces CDK","4.2.1.Final"})
    public class UINotifyMessage

extends AbstractNotifyMessage

The <rich:notifyMessage> component is built on top of <rich:notify>, the difference is in usage. The <rich:notifyMessage> component displays FacesMessages associated with a given component, similar to <rich:message>: one notification is displayed for first FacesMessage in the stack that is risen either programatically or during conversion/validation of the component. The severity of the message determines the color and icon of the resulting notification.

Author:
  Lukas Fryc

Nested Class Summary
`protected static class` | `UINotifyMessage.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UINotifyMessage()`

Method Summary
`Integer` | `getAnimationSpeed()`
`String` | `getAppearAnimation()`
`Integer` | `getDelay()`
`String` | `getFamily()`
`String` | `getHideAnimation()`
`Double` | `getNonblockingOpacity()`
`String` | `getStack()`
`Integer` | `getStayTime()`
`String` | `getStyleClass()`
`boolean` | `isAjaxRendered()`
`boolean` | `isKeepTransient()`
`boolean` | `isNonblocking()`
`boolean` | `isShowCloseButton()`
`boolean` | `isShowHistory()`
`boolean` | `isShowShadow()`
`boolean` | `isSticky()`
`void` | `setAjaxRendered(boolean ajaxRendered)`
`void` | `setAnimationSpeed(Integer animationSpeed)`
`void` | `setAppearAnimation(String appearAnimation)`
`void` | `setDelay(Integer delay)`
`void` | `setHideAnimation(String hideAnimation)`
`void` | `setKeepTransient(boolean keepTransient)`
`void` | `setNonblocking(boolean nonblocking)`
`void` | `setNonblockingOpacity(Double nonblockingOpacity)`
`void` | `setShowCloseButton(boolean showCloseButton)`
`void` | `setShowHistory(boolean showHistory)`
`void` | `setShowShadow(boolean showShadow)`
`void` | `setStack(String stack)`
`void` | `setStayTime(Integer stayTime)`
`void` | `setSticky(boolean sticky)`
`void` | `setStyleClass(String styleClass)`

Methods inherited from class org.richfaces.component.AbstractNotifyMessage
`updateMessages`

Methods inherited from class javax.faces.component.UIMessage
`getFor, isRedisplay, isShowDetail, isShowSummary, setFor, setRedisplay, setShowDetail, setShowSummary`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.ClientSideMessage
`getFor`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UINotifyMessage

    public UINotifyMessage()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIMessage`

### isAjaxRendered

    public boolean isAjaxRendered()

  Specified by:
    `isAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`
  Specified by:
    `isAjaxRendered` in class `AbstractNotifyMessage`

### setAjaxRendered

    public void setAjaxRendered(boolean ajaxRendered)

### getAnimationSpeed

    public Integer getAnimationSpeed()

### setAnimationSpeed

    public void setAnimationSpeed(Integer animationSpeed)

### getAppearAnimation

    public String getAppearAnimation()

### setAppearAnimation

    public void setAppearAnimation(String appearAnimation)

### getDelay

    public Integer getDelay()

### setDelay

    public void setDelay(Integer delay)

### getHideAnimation

    public String getHideAnimation()

### setHideAnimation

    public void setHideAnimation(String hideAnimation)

### isKeepTransient

    public boolean isKeepTransient()

  Specified by:
    `isKeepTransient` in interface `org.ajax4jsf.component.AjaxOutput`
  Specified by:
    `isKeepTransient` in class `AbstractNotifyMessage`

### setKeepTransient

    public void setKeepTransient(boolean keepTransient)

### isNonblocking

    public boolean isNonblocking()

### setNonblocking

    public void setNonblocking(boolean nonblocking)

### getNonblockingOpacity

    public Double getNonblockingOpacity()

### setNonblockingOpacity

    public void setNonblockingOpacity(Double nonblockingOpacity)

### isShowCloseButton

    public boolean isShowCloseButton()

### setShowCloseButton

    public void setShowCloseButton(boolean showCloseButton)

### isShowHistory

    public boolean isShowHistory()

### setShowHistory

    public void setShowHistory(boolean showHistory)

### isShowShadow

    public boolean isShowShadow()

### setShowShadow

    public void setShowShadow(boolean showShadow)

### getStack

    public String getStack()

### setStack

    public void setStack(String stack)

### getStayTime

    public Integer getStayTime()

### setStayTime

    public void setStayTime(Integer stayTime)

### isSticky

    public boolean isSticky()

### setSticky

    public void setSticky(boolean sticky)

### getStyleClass

    public String getStyleClass()

### setStyleClass

    public void setStyleClass(String styleClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.